### Method

# FwupdPlugin Device set_context

#### Declaration [src]

    void
    fu_device_set_context (
      FuDevice* self,
      FuContext* ctx
    )

#### Description [src]

Sets the optional context which may be useful to this device. This is typically set after the device has been created, but before the device has been opened or probed.

Available since: | 1.6.0

Sets property | `FwupdPlugin.Device:context`

#### Parameters

`ctx` | `FuContext`
| Optional `FuContext`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.